Index: /gli/trunk/src/org/greenstone/gatherer/cdm/BuildTypeManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/BuildTypeManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/BuildTypeManager.java	(revision 18412)
@@ -103,11 +103,16 @@
 	public BuildTypeControl() {
 	    super();
-	    
+	    this.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel spacer_panel = new JPanel();
-	    
+	    spacer_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel main_panel = new JPanel();
+            main_panel.setComponentOrientation(Dictionary.getOrientation());
 	    /* may be CDM.BuildTypeManager.mg, CDM.BuildTYpeManager.mgpp, CDM.BuildTypeManager.lucene */
 	    label = new JLabel(Dictionary.get("CDM.BuildTypeManager.Current_Type", getBuildTypeString(getBuildType())));
-	    change_button = new GLIButton(Dictionary.get("CDM.BuildTypeManager.Change"), Dictionary.get("CDM.BuildTypeManager.Change_Tooltip"));
+            label.setComponentOrientation(Dictionary.getOrientation());
+	    
+            change_button = new GLIButton(Dictionary.get("CDM.BuildTypeManager.Change"), Dictionary.get("CDM.BuildTypeManager.Change_Tooltip"));
 	    	    
 	    change_button.addActionListener(new ActionListener() {
@@ -119,10 +124,10 @@
 	    main_panel.setLayout(new BorderLayout(10,10));
 	    main_panel.add(label, BorderLayout.CENTER);
-	    main_panel.add(change_button, BorderLayout.EAST);
+	    main_panel.add(change_button, BorderLayout.LINE_END);
 
 	    setBorder(BorderFactory.createEmptyBorder(0,5,0,0));
 	    setLayout(new BorderLayout());
 	    add(spacer_panel, BorderLayout.CENTER);
-	    add(main_panel, BorderLayout.EAST);
+	    add(main_panel, BorderLayout.LINE_END);
 
 	    manager.addBuildTypeListener(this);
@@ -171,10 +176,13 @@
 	    setSize(DIALOG_SIZE);
 	    setTitle(Dictionary.get("CDM.BuildTypeManager.Title"));
-	
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    mg_button = new JRadioButton(BUILD_TYPE_MG_STR);
+            mg_button.setComponentOrientation(Dictionary.getOrientation());
 	    mg_button.setActionCommand(BUILD_TYPE_MG);
 	    mgpp_button = new JRadioButton(BUILD_TYPE_MGPP_STR);
+            mgpp_button.setComponentOrientation(Dictionary.getOrientation());
 	    mgpp_button.setActionCommand(BUILD_TYPE_MGPP);
 	    lucene_button = new JRadioButton(BUILD_TYPE_LUCENE_STR);
+            lucene_button.setComponentOrientation(Dictionary.getOrientation());
 	    lucene_button.setActionCommand(BUILD_TYPE_LUCENE);
 	    
@@ -188,5 +196,5 @@
 	    build_type_group.add(mg_button);
 	    build_type_group.add(lucene_button);
-
+            
 	    if (current_build_type != null) {
 		if (current_build_type.equals(BUILD_TYPE_MGPP)) {
@@ -204,5 +212,6 @@
 	    radio_pane.add(mg_button);
 	    radio_pane.add(lucene_button);
-
+            radio_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    description_textarea = new JTextArea();
 	    description_textarea.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
@@ -211,5 +220,7 @@
 	    description_textarea.setLineWrap(true);
 	    description_textarea.setWrapStyleWord(true);
-	    cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
+	    description_textarea.setComponentOrientation(Dictionary.getOrientation());
+            
+            cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
 	    
 	    cancel_button.addActionListener(new ActionListener() {
@@ -244,5 +255,6 @@
 	    button_pane.add(ok_button);
 	    button_pane.add(cancel_button);
-
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel content_pane = (JPanel) getContentPane();
 	    content_pane.setOpaque(true);
@@ -251,5 +263,6 @@
 	    content_pane.add(new JScrollPane(description_textarea), BorderLayout.CENTER);
 	    content_pane.add(button_pane, BorderLayout.SOUTH);
-
+            content_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    // Center and display.
 	    Dimension screen_size = Configuration.screen_size;
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/ClassifierManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 18412)
@@ -289,8 +289,11 @@
         public ClassifierControl () {
             // Create
+            this.setComponentOrientation(Dictionary.getOrientation());
             add = new GLIButton (Dictionary.get ("CDM.ClassifierManager.Add"), Dictionary.get ("CDM.ClassifierManager.Add_Tooltip"));
             
             JPanel button_pane = new JPanel ();
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
             JPanel central_pane = new JPanel ();
+            central_pane.setComponentOrientation(Dictionary.getOrientation());
             
             configure = new GLIButton (Dictionary.get ("CDM.ClassifierManager.Configure"), Dictionary.get ("CDM.ClassifierManager.Configure_Tooltip"));
@@ -301,4 +304,5 @@
             ClassifierComboboxListener ccl = new ClassifierComboboxListener ();
             classifier_combobox = new JComboBox (getAvailableClassifiers ());
+            classifier_combobox.setComponentOrientation(Dictionary.getOrientation());
             classifier_combobox.setOpaque (!Utility.isMac ());
             classifier_combobox.setEditable (false);
@@ -309,20 +313,29 @@
             
             JLabel classifier_label = new JLabel (Dictionary.get ("CDM.ClassifierManager.Classifier"));
+            classifier_label.setComponentOrientation(Dictionary.getOrientation());
             
             classifier_list = new JList (model);
+            classifier_list.setComponentOrientation(Dictionary.getOrientation());
+            
             classifier_list.setOpaque (true);
             classifier_list.setSelectionMode (ListSelectionModel.SINGLE_SELECTION);
             JLabel classifier_list_label = new JLabel (Dictionary.get ("CDM.ClassifierManager.Assigned"));
+            classifier_list_label.setComponentOrientation(Dictionary.getOrientation());
             
             classifier_list_label.setOpaque (true);
             
             JPanel classifier_list_pane = new JPanel ();
+            classifier_list_pane.setComponentOrientation(Dictionary.getOrientation());
+            
             JPanel classifier_pane = new JPanel ();
+            classifier_pane.setComponentOrientation(Dictionary.getOrientation());
             remove = new GLIButton (Dictionary.get ("CDM.ClassifierManager.Remove"), Dictionary.get ("CDM.ClassifierManager.Remove_Tooltip"));
             remove.setEnabled (false);
             
             JPanel temp = new JPanel (new BorderLayout ());
+            temp.setComponentOrientation(Dictionary.getOrientation());
             
             JPanel move_button_pane = new JPanel ();
+            move_button_pane.setComponentOrientation(Dictionary.getOrientation());
             
             move_up_button = new GLIButton (Dictionary.get ("CDM.Move.Move_Up"), JarTools.getImage ("arrow-up.gif"), Dictionary.get ("CDM.Move.Move_Up_Tooltip"));
@@ -349,8 +362,13 @@
             
             // Layout
+            JPanel tmp;
             move_button_pane.setLayout (new GridLayout (4,1));
             move_button_pane.add (move_up_button);
-            move_button_pane.add (new JPanel ());
-            move_button_pane.add (new JPanel ());
+            tmp = new JPanel ();
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+            move_button_pane.add (tmp);
+            tmp = new JPanel ();
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+            move_button_pane.add (tmp);
             move_button_pane.add (move_down_button);
             
@@ -360,5 +378,5 @@
             classifier_list_pane.add (classifier_list_label, BorderLayout.NORTH);
             classifier_list_pane.add (new JScrollPane (classifier_list), BorderLayout.CENTER);
-            classifier_list_pane.add (move_button_pane, BorderLayout.EAST);
+            classifier_list_pane.add (move_button_pane, BorderLayout.LINE_END);
             
             classifier_label.setBorder (BorderFactory.createEmptyBorder (0,0,5,0));
@@ -366,5 +384,5 @@
             classifier_pane.setBorder (BorderFactory.createEmptyBorder (5,0,5,0));
             classifier_pane.setLayout (new BorderLayout (5,0));
-            classifier_pane.add (classifier_label, BorderLayout.WEST);
+            classifier_pane.add (classifier_label, BorderLayout.LINE_START);
             classifier_pane.add (classifier_combobox, BorderLayout.CENTER);
             
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/DepositorMetadataManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/DepositorMetadataManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/DepositorMetadataManager.java	(revision 18412)
@@ -122,5 +122,5 @@
 	public DepositorControl() {
 	    super();
-
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel header_panel = new DesignPaneHeader("CDM.GUI.DepositorMetadata", "depositormetadatasettings");
 			
@@ -129,4 +129,5 @@
 	    
 	    central_pane = new JPanel();
+            central_pane.setComponentOrientation(Dictionary.getOrientation());
 	    central_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	    central_pane.setLayout(new BoxLayout(central_pane, BoxLayout.Y_AXIS));	
@@ -136,4 +137,5 @@
 
 	    JPanel collection_checklist_pane = new JPanel();
+            collection_checklist_pane.setComponentOrientation(Dictionary.getOrientation());
 	    collection_checklist_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	    collection_checklist_pane.setLayout(new BorderLayout());
@@ -328,5 +330,6 @@
 		
 	public MetadataElementControl (MetadataElementEntry entry, String background_color_name) {
-						
+            
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    String tip = "<html>" + entry.tooltip + "</html>";
 	    tip = Utility.formatHTMLWidth(tip, 80);
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/GeneralManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 18412)
@@ -129,4 +129,5 @@
 	public GeneralControl() {
 	    super();
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    // Retrieve some of the model elements, those we know aren't language dependant
 	    public_collectionmeta = new CollectionMeta(CollectionDesignManager.collect_config.getPublic());
@@ -134,35 +135,51 @@
 	    // Creation
 	    JPanel header_panel = new DesignPaneHeader("CDM.GUI.General", "generalsettings");
-
+            
 	    JPanel all_details_panel = new JPanel();
 	    JPanel details_panel = new JPanel();
 	    JPanel fields_panel = new JPanel();
 
+            all_details_panel.setComponentOrientation(Dictionary.getOrientation());
+            details_panel.setComponentOrientation(Dictionary.getOrientation());
+            fields_panel.setComponentOrientation(Dictionary.getOrientation());
+                        
 	    creator_label = new JLabel(Dictionary.get("CDM.General.Email.Creator"));
-	    
+	    creator_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    creator_emailfield = new EmailField(Configuration.getColor("coloring.error_background", false));
 	    creator_emailfield.setToolTipText(Dictionary.get("CDM.General.Email.Creator_Tooltip"));
 	    
 	    maintainer_label = new JLabel(Dictionary.get("CDM.General.Email.Maintainer"));
-	    
+	    maintainer_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    maintainer_emailfield = new EmailField(Configuration.getColor("coloring.error_background", false));
 	    maintainer_emailfield.setToolTipText(Dictionary.get("CDM.General.Email.Maintainer_Tooltip"));
 	    
 	    name_label = new JLabel(Dictionary.get("CDM.General.Collection_Name"));
+            name_label.setComponentOrientation(Dictionary.getOrientation());
 	    name_textfield = new JTextField();
+            name_textfield.setComponentOrientation(Dictionary.getOrientation());
 	    name_textfield.setToolTipText(Dictionary.get("CDM.General.Collection_Name_Tooltip"));
 	    
 	    JLabel short_name_label = new JLabel(Dictionary.get("NewCollectionPrompt.Collection_Name"));
-	    JTextField short_name_textfield = new JTextField(CollectionManager.getLoadedCollectionName());
+	    short_name_label.setComponentOrientation(Dictionary.getOrientation());
+            JTextField short_name_textfield = new JTextField(CollectionManager.getLoadedCollectionName());
+            short_name_textfield.setComponentOrientation(Dictionary.getOrientation());
 	    short_name_textfield.setEditable(false);
 	    short_name_textfield.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	    JPanel icon_panel = new JPanel();
+            icon_panel.setComponentOrientation(Dictionary.getOrientation());
 	    icon_label = new JLabel(Dictionary.get("CDM.General.Icon_Collection"));
+            icon_label.setComponentOrientation(Dictionary.getOrientation());
 	    icon_textfield = new JTextField();
+            icon_textfield.setComponentOrientation(Dictionary.getOrientation());
 	    icon_textfield.setToolTipText(Dictionary.get("CDM.General.Icon_Collection_Tooltip")); 
 	    browse_about_icon_button = new GLIButton(Dictionary.get("General.Browse"));
 	    JPanel small_icon_panel = new JPanel();
+            small_icon_panel.setComponentOrientation(Dictionary.getOrientation());
 	    small_icon_label = new JLabel(Dictionary.get("CDM.General.Icon_Collection_Small"));
+            small_icon_label.setComponentOrientation(Dictionary.getOrientation());
 	    small_icon_textfield = new JTextField();
+            small_icon_textfield.setComponentOrientation(Dictionary.getOrientation());
 	    small_icon_textfield.setToolTipText(Dictionary.get("CDM.General.Icon_Collection_Small_Tooltip"));
 	    browse_home_icon_button = new GLIButton(Dictionary.get("General.Browse"));
@@ -170,10 +187,15 @@
 	    // public
 	    JPanel box_panel = new JPanel();
+            box_panel.setComponentOrientation(Dictionary.getOrientation());
 	    public_checkbox = new JCheckBox(Dictionary.get("CDM.General.Access"), public_collectionmeta.getValue(CollectionMeta.TEXT).equals(StaticStrings.TRUE_STR));
-	    
+	    public_checkbox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel description_panel = new JPanel();
+            description_panel.setComponentOrientation(Dictionary.getOrientation());
 	    description_label = new JLabel(Dictionary.get("CDM.General.Collection_Extra"));
-	    
+	    description_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    description_textarea = new JTextArea();
+            description_textarea.setComponentOrientation(Dictionary.getOrientation());
 	    description_textarea.setBackground(Configuration.getColor("coloring.editable_background", false));
 	    description_textarea.setToolTipText(Dictionary.get("CDM.General.Collection_Extra_Tooltip"));
@@ -198,7 +220,9 @@
 	    
 	    JPanel fields_label_panel = new JPanel();
+            fields_label_panel.setComponentOrientation(Dictionary.getOrientation());
 	    fields_label_panel.setLayout(new GridLayout(6,1));
 
 	    JPanel fields_box_panel = new JPanel();
+            fields_box_panel.setComponentOrientation(Dictionary.getOrientation());            
 	    fields_box_panel.setLayout(new GridLayout(6,1));
     
@@ -227,14 +251,14 @@
 	    fields_box_panel.add(small_icon_panel);
 
-	    fields_panel.add(fields_label_panel, BorderLayout.WEST);
+	    fields_panel.add(fields_label_panel, BorderLayout.LINE_START);
 	    fields_panel.add(fields_box_panel, BorderLayout.CENTER);
 
 	    icon_panel.setLayout(new BorderLayout());
 	    icon_panel.add(icon_textfield, BorderLayout.CENTER);
-	    icon_panel.add(browse_about_icon_button, BorderLayout.EAST);
+	    icon_panel.add(browse_about_icon_button, BorderLayout.LINE_END);
 
 	    small_icon_panel.setLayout(new BorderLayout());
 	    small_icon_panel.add(small_icon_textfield, BorderLayout.CENTER);
-	    small_icon_panel.add(browse_home_icon_button, BorderLayout.EAST);
+	    small_icon_panel.add(browse_home_icon_button, BorderLayout.LINE_END);
 
 	    box_panel.setLayout(new GridLayout(1,1,5,2));
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/IndexManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/IndexManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/IndexManager.java	(revision 18412)
@@ -434,19 +434,25 @@
 	public IndexControl() {
 	    super();
-
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    // Creation
 	    JPanel assigned_indexes_pane = new JPanel();
-	    
+	    assigned_indexes_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel index_label = new JLabel(Dictionary.get("CDM.IndexManager.Indexes"));
+            index_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    index_list = new JList(index_model);
 	    index_list.setCellRenderer(new IndexListRenderer());
 	    index_list.setVisibleRowCount(6);
 	    index_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
-      index_list.addMouseListener(new ClickListener());
-      
+            index_list.addMouseListener(new ClickListener());
+            index_list.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel movement_pane = new JPanel();
+            movement_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
-	    move_up_button.setEnabled(false);
-	    
+	    move_up_button.setEnabled(false);	    
+            
 	    move_down_button = new GLIButton(Dictionary.get("CDM.Move.Move_Down"), JarTools.getImage("arrow-down.gif"), Dictionary.get("CDM.Move.Move_Down_Tooltip"));
 	    move_down_button.setEnabled(false);
@@ -456,5 +462,7 @@
 	    
 	    JPanel button_pane = new JPanel();
-	    new_button = new GLIButton(Dictionary.get("CDM.IndexManager.New_Index")+StaticStrings.FURTHER_DIALOG_INDICATOR, Dictionary.get("CDM.IndexManager.New_Index_Tooltip"));
+	    button_pane.setComponentOrientation(Dictionary.getOrientation());
+            
+            new_button = new GLIButton(Dictionary.get("CDM.IndexManager.New_Index")+StaticStrings.FURTHER_DIALOG_INDICATOR, Dictionary.get("CDM.IndexManager.New_Index_Tooltip"));
 	    new_button.setEnabled(true);
 	    
@@ -490,5 +498,5 @@
 	    assigned_indexes_pane.add(index_label, BorderLayout.NORTH);
 	    assigned_indexes_pane.add(new JScrollPane(index_list), BorderLayout.CENTER);
-	    assigned_indexes_pane.add(movement_pane, BorderLayout.EAST);
+	    assigned_indexes_pane.add(movement_pane, BorderLayout.LINE_END);
 
 	    button_pane.setLayout(new GridLayout(1,3,5,0));
@@ -672,4 +680,6 @@
 	    public NewIndexPrompt(String build_type, Index existing_index) {
 		super(Gatherer.g_man, true);
+                this.setComponentOrientation(Dictionary.getOrientation());
+                
 		new_index_prompt = this;
 
@@ -688,11 +698,14 @@
 		}
 		JPanel content_pane = (JPanel)this.getContentPane();
+                content_pane.setComponentOrientation(Dictionary.getOrientation());
 		ArrayList new_data = new ArrayList();
 		new_data.addAll(MetadataSetManager.getEveryMetadataSetElement());
 
 		JPanel details_pane = new JPanel();
+                details_pane.setComponentOrientation(Dictionary.getOrientation());
 		
 		text_checkbox = new JCheckBox(Dictionary.get("CDM.IndexManager.Text_Source"));
 		text_checkbox.setToolTipText(Dictionary.get("CDM.IndexManager.Text_Source_Tooltip"));
+                text_checkbox.setComponentOrientation(Dictionary.getOrientation());                
 		text_checkbox.addActionListener(new ActionListener() {
 			public void actionPerformed(ActionEvent event) {
@@ -701,5 +714,6 @@
 		    });
 		JLabel source_label = new JLabel(Dictionary.get("CDM.IndexManager.Source"));
-		source_list = new CheckList(false);
+                source_label.setComponentOrientation(Dictionary.getOrientation());
+		source_list = new CheckList(false);                
 		source_list.setListData(new_data);
 		source_list.setToolTipText(Dictionary.get("CDM.IndexManager.Source_Tooltip"));
@@ -708,8 +722,11 @@
 		JPanel button_pane = new JPanel();
 		button_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
-		
+		button_pane.setComponentOrientation(Dictionary.getOrientation());
+                
 		if (existing_index == null && mgpp_enabled) {
 		    button_pane.setLayout(new GridLayout(2,3,5,0));
-		    button_pane.add(new JPanel());
+                    JPanel tmp = new JPanel();
+                    tmp.setComponentOrientation(Dictionary.getOrientation());
+		    button_pane.add(tmp);
 		} else {
 		    button_pane.setLayout(new GridLayout(2,2,5,0));
@@ -781,5 +798,6 @@
 		    allfields_box = new JCheckBox(Dictionary.get("CDM.IndexManager.Allfields_Index"));
 		    allfields_box.addItemListener(new AllFieldsBoxListener());
-		    //JLabel allfields_label = new JLabel(Dictionary.get("CDM.IndexManager.Allfields_Index"));
+		    allfields_box.setComponentOrientation(Dictionary.getOrientation());
+                    //JLabel allfields_label = new JLabel(Dictionary.get("CDM.IndexManager.Allfields_Index"));
 		    details_pane.add(allfields_box, BorderLayout.SOUTH);
 		    
@@ -788,5 +806,7 @@
 		    // index level
 		    JLabel level_label = new JLabel(Dictionary.get("CDM.IndexManager.Level"));
-		    level_combobox = new JComboBox();
+		    level_label.setComponentOrientation(Dictionary.getOrientation());
+                    
+                    level_combobox = new JComboBox();
 		    level_combobox.setOpaque(false);
 		    level_combobox.setPreferredSize(FIELD_SIZE);
@@ -798,5 +818,6 @@
 		    level_combobox.setEditable(false);
 		    level_combobox.setToolTipText(Dictionary.get("CDM.IndexManager.Level_Tooltip"));
-		    level_combobox.addActionListener(new ActionListener() {
+		    level_combobox.setComponentOrientation(Dictionary.getOrientation());
+                    level_combobox.addActionListener(new ActionListener() {
 			    public void actionPerformed(ActionEvent event) {
 				validateAddOrReplaceButton();
@@ -804,6 +825,7 @@
 			});
 		    JPanel level_pane = new JPanel();
+                    level_pane.setComponentOrientation(Dictionary.getOrientation());
 		    level_pane.setLayout(new BorderLayout());
-		    level_pane.add(level_label, BorderLayout.WEST);
+		    level_pane.add(level_label, BorderLayout.LINE_START);
 		    level_pane.add(level_combobox, BorderLayout.CENTER);
 		    details_pane.add(level_pane, BorderLayout.SOUTH);
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/IndexOptionManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/IndexOptionManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/IndexOptionManager.java	(revision 18412)
@@ -134,8 +134,9 @@
 	
 	public IndexOptionControl() {
-
+            
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    stem_control = new StemmingControl();
 	    level_control = new LevelControl();
-
+            
 	    setLayout(new BorderLayout());
 	    if (!build_type.equals(BuildTypeManager.BUILD_TYPE_LUCENE)) {
@@ -194,4 +195,5 @@
 	public StemmingControl()
 	{
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    setLayout(new BorderLayout(10,10));
 	    setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
@@ -200,9 +202,11 @@
 	    stem_checkbox.setToolTipText(Dictionary.get("CDM.IndexingManager.Stem_Tooltip"));
 	    stem_checkbox.setActionCommand(StaticStrings.STEM_OPTION_STR);
-	    
+	    stem_checkbox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    casefold_checkbox.setText(Dictionary.get("CDM.IndexingManager.Casefold"));
 	    casefold_checkbox.setToolTipText(Dictionary.get("CDM.IndexingManager.Casefold_Tooltip"));
 	    casefold_checkbox.setActionCommand(StaticStrings.CASEFOLD_OPTION_STR);
-	    
+	    casefold_checkbox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    accentfold_checkbox.setText(Dictionary.get("CDM.IndexingManager.Accent_fold"));
 	    accentfold_checkbox.setToolTipText(Dictionary.get("CDM.IndexingManager.Accent_fold_Tooltip"));
@@ -210,12 +214,15 @@
 	    // Accent-folding is currently not available for MG
 	    accentfold_checkbox.setEnabled(!build_type.equals(BuildTypeManager.BUILD_TYPE_MG));
-	
+            accentfold_checkbox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    separate_cjk_checkbox.setText(Dictionary.get("CDM.IndexingManager.Separate_cjk"));
 	    separate_cjk_checkbox.setToolTipText(Dictionary.get("CDM.IndexingManager.Separate_cjk_Tooltip"));
 	    separate_cjk_checkbox.setActionCommand(StaticStrings.SEPARATE_CJK_OPTION_STR);
-
+            separate_cjk_checkbox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel checkbox_panel = new JPanel();
 	    checkbox_panel.setLayout(new GridLayout(2, 1));
-	    
+	    checkbox_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel stem_panel = new JPanel();
 	    stem_panel.setLayout(new GridLayout(1,3));
@@ -223,13 +230,17 @@
 	    stem_panel.add(casefold_checkbox);
 	    stem_panel.add(accentfold_checkbox);
-	    
+	    stem_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel other_panel = new JPanel();
 	    other_panel.setLayout(new GridLayout(1,1));
 	    other_panel.add(separate_cjk_checkbox);
-
+            other_panel.setComponentOrientation(Dictionary.getOrientation());                    
+            
 	    checkbox_panel.add(stem_panel);
 	    checkbox_panel.add(other_panel);
-
-	    add(new JLabel(Dictionary.get("CDM.IndexingManager.Options")), BorderLayout.WEST);
+            
+            JLabel tmp = new JLabel(Dictionary.get("CDM.IndexingManager.Options"));
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+	    add(tmp, BorderLayout.LINE_START);
 	    add(checkbox_panel, BorderLayout.CENTER);
 
@@ -327,8 +338,11 @@
 	
 	public LevelControl() {
-	    
+	    this.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel checkbox_panel = new JPanel();
+            checkbox_panel.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel default_panel = new JPanel();
+            default_panel.setComponentOrientation(Dictionary.getOrientation());
 	    document_checkbox = new JCheckBox();
+            document_checkbox.setComponentOrientation(Dictionary.getOrientation());
 	    document_checkbox.setText(Dictionary.get("CDM.LevelManager.Document"));
 	    document_checkbox.setActionCommand(StaticStrings.DOCUMENT_STR);
@@ -339,8 +353,11 @@
 	    document_default_radio.setIcon(JarTools.getImage("radio_unselected.gif"));
 	    document_default_radio.setSelectedIcon(JarTools.getImage("radio_selected.gif"));
-
+            document_default_radio.setComponentOrientation(Dictionary.getOrientation());
+            
 	    section_checkbox = new JCheckBox();
 	    section_checkbox.setText(Dictionary.get("CDM.LevelManager.Section"));
 	    section_checkbox.setActionCommand(StaticStrings.SECTION_STR);
+            section_checkbox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    section_default_radio = new JRadioButton();
 	    section_default_radio.setOpaque(true);
@@ -349,5 +366,6 @@
 	    section_default_radio.setIcon(JarTools.getImage("radio_unselected.gif"));
 	    section_default_radio.setSelectedIcon(JarTools.getImage("radio_selected.gif"));
-
+            section_default_radio.setComponentOrientation(Dictionary.getOrientation());
+            
 	    section_default_radio.setActionCommand(StaticStrings.SECTION_STR);
 	    ButtonGroup default_group = new ButtonGroup();
@@ -401,5 +419,6 @@
 	    checkbox_panel.add(document_checkbox);
 	    checkbox_panel.add(section_checkbox);
-
+            checkbox_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel default_label = new JLabel(Dictionary.get("CDM.LevelManager.Default"));
 	    default_panel.setLayout(new GridLayout(3,1));
@@ -408,5 +427,5 @@
 	    default_panel.add(document_default_radio);
 	    default_panel.add(section_default_radio);
-
+            default_label.setComponentOrientation(Dictionary.getOrientation());
         
 	    CheckBoxListener cbl = new CheckBoxListener();
@@ -425,5 +444,5 @@
 	    setLayout(new BorderLayout(10,10));
 	    setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
-	    add(checkbox_panel, BorderLayout.WEST);
+	    add(checkbox_panel, BorderLayout.LINE_START);
 	    add(default_panel, BorderLayout.CENTER);
 	} // LevelControl
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/IndexingManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/IndexingManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/IndexingManager.java	(revision 18412)
@@ -133,5 +133,5 @@
 	public IndexingControl() {
 	    super();
-
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    // Creation
 	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Indexes", "searchindexes");	   
@@ -140,5 +140,6 @@
 	    JPanel index_panel = (JPanel)index_manager.getControls();
 	    index_options_panel = (JPanel)option_manager.getControls();
-
+                       
+            
 	    main_index_pane = new JPanel();
 	    main_index_pane.setLayout(new BorderLayout());
@@ -146,5 +147,6 @@
 	    main_index_pane.add(index_panel, BorderLayout.CENTER);
 	    main_index_pane.add(index_options_panel, BorderLayout.SOUTH);
-	    
+	    main_index_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    setBorder(BorderFactory.createEmptyBorder(0,5,0,0));
 	    setLayout(new BorderLayout());
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/LanguageManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 18412)
@@ -306,6 +306,8 @@
 	    super();
 	    // Creation.
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel center_panel = new JPanel();
-
+            center_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel selected_languages_list_label = new JLabel(Dictionary.get("CDM.LanguageManager.Assigned_Languages"));
 	    selected_languages_list = new JList(model);
@@ -313,9 +315,13 @@
 	    selected_languages_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 	    selected_languages_list.setVisibleRowCount(5);
-	    
+	    selected_languages_list.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel control_panel = new JPanel();
-	    
+	    control_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel labels_pane = new JPanel();	    
-	    JLabel selector_label = new JLabel(Dictionary.get("CDM.LanguageManager.Selector"));
+	    labels_pane.setComponentOrientation(Dictionary.getOrientation());
+            JLabel selector_label = new JLabel(Dictionary.get("CDM.LanguageManager.Selector"));
+            selector_label.setComponentOrientation(Dictionary.getOrientation());
 	    select_all_button = new GLIButton(Dictionary.get("CDM.IndexManager.Select_All"), Dictionary.get("CDM.IndexManager.Select_All_Tooltip"));
 	    select_none_button = new GLIButton(Dictionary.get("CDM.IndexManager.Select_None"), Dictionary.get("CDM.IndexManager.Select_None_Tooltip"));
@@ -324,5 +330,9 @@
 	    language_metadata_combo.setOpaque(false);
 	    language_metadata_combo.setToolTipText(Dictionary.get("CDM.LanguageManager.LanguageMetadata_Tooltip"));
-	    JLabel language_metadata_label = new JLabel(Dictionary.get("CDM.LanguageManager.LanguageMetadata"));
+            language_metadata_combo.setComponentOrientation(Dictionary.getOrientation());
+            
+            JLabel language_metadata_label = new JLabel(Dictionary.get("CDM.LanguageManager.LanguageMetadata"));
+            language_metadata_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    String current_value = "ex.Language";
 	    if (language_metadata.getAttribute(StaticStrings.ASSIGNED_ATTRIBUTE).equals(StaticStrings.TRUE_STR) && !language_metadata.getAttribute(StaticStrings.NAME_ATTRIBUTE).equals("")) {
@@ -339,5 +349,7 @@
 	    	    
 	    JPanel movement_pane = new JPanel();
-	    move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
+            movement_pane.setComponentOrientation(Dictionary.getOrientation());
+            
+            move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
 	    move_up_button.setEnabled(false);
 	    
@@ -349,5 +361,6 @@
 	    
 	    JPanel button_panel = new JPanel();
-
+            button_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    add_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex"), Dictionary.get("CDM.LanguageManager.Add_Tooltip"));
 	    add_button.setEnabled(false);
@@ -394,11 +407,13 @@
 
 	    JPanel metadata_panel = new JPanel();
+            metadata_panel.setComponentOrientation(Dictionary.getOrientation());
 	    metadata_panel.setLayout(new BorderLayout());
 	    JPanel inner_panel = new JPanel();
+            inner_panel.setComponentOrientation(Dictionary.getOrientation());
 	    inner_panel.setLayout(new BorderLayout(10,10));
-	    inner_panel.add(language_metadata_label, BorderLayout.WEST);
+	    inner_panel.add(language_metadata_label, BorderLayout.LINE_START);
 	    inner_panel.add(language_metadata_combo, BorderLayout.CENTER);
 	    metadata_panel.add(new JPanel(), BorderLayout.CENTER);
-	    metadata_panel.add(inner_panel, BorderLayout.EAST);
+	    metadata_panel.add(inner_panel, BorderLayout.LINE_END);
 
 	    movement_pane.setBorder(BorderFactory.createEmptyBorder(0,2,0,0));
@@ -439,5 +454,5 @@
 	    labels_pane.add(select_none_button);	
 	    	    
-	    control_panel.add(labels_pane, BorderLayout.WEST);
+	    control_panel.add(labels_pane, BorderLayout.LINE_START);
 	    
 	    control_panel.add(new JScrollPane(language_list), BorderLayout.CENTER);
@@ -447,8 +462,9 @@
 	    center_panel.add(selected_languages_list_label, BorderLayout.NORTH);
 	    center_panel.add(new JScrollPane(selected_languages_list), BorderLayout.CENTER);
-	    center_panel.add(movement_pane, BorderLayout.EAST);
+	    center_panel.add(movement_pane, BorderLayout.LINE_END);
 
 	    JPanel top_panel = new JPanel();
-	    top_panel.setLayout(new BorderLayout());
+            top_panel.setComponentOrientation(Dictionary.getOrientation());
+            top_panel.setLayout(new BorderLayout());
 	    top_panel.add(metadata_panel, BorderLayout.NORTH);
 	    top_panel.add(center_panel, BorderLayout.SOUTH);
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/MacrosManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/MacrosManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/MacrosManager.java	(revision 18412)
@@ -104,10 +104,12 @@
 	public MacrosControl() {
 	    super();
-
-	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Macros", "collectionspecificmacros");
-	    
+            this.setComponentOrientation(Dictionary.getOrientation());
+            
+	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Macros", "collectionspecificmacros");	    
 	    JPanel main_pane = new JPanel();
-	    main_pane.setLayout(new BorderLayout());
+	    main_pane.setComponentOrientation(Dictionary.getOrientation());
+            main_pane.setLayout(new BorderLayout());
 	    macros_textarea = new JTextArea();
+            macros_textarea.setComponentOrientation(Dictionary.getOrientation());
 	    macros_textarea.setBackground(Configuration.getColor("coloring.editable_background", false));
 	    macros_textarea.setLineWrap(false);
@@ -126,4 +128,5 @@
 	    
 	    JPanel macros_pane = new JPanel();
+            macros_pane.setComponentOrientation(Dictionary.getOrientation());
 	    macros_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
 	    macros_pane.setLayout(new BorderLayout());
@@ -138,5 +141,6 @@
 	    
 	    JPanel button_pane = new JPanel();
-	    button_pane.setLayout(new GridLayout(1,2));
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
+            button_pane.setLayout(new GridLayout(1,2));
 	    button_pane.add(undo_button);
 	    button_pane.add(redo_button);
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 18412)
@@ -471,5 +471,7 @@
 	    button_pane = new JPanel();
 	    central_pane = new JPanel();
-
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
+            central_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    configure = new GLIButton(Dictionary.get("CDM.PlugInManager.Configure"), Dictionary.get("CDM.PlugInManager.Configure_Tooltip"));
 	    configure.setEnabled(false);
@@ -483,25 +485,35 @@
 	    
 	    movement_pane = new JPanel();
-
+            movement_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    PluginComboboxListener picl = new PluginComboboxListener();
 	    plugin_combobox = new JComboBox(getAvailablePlugins());
 	    plugin_combobox.setOpaque(!Utility.isMac());
 	    plugin_combobox.setEditable(false);
+            plugin_combobox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    picl.itemStateChanged(new ItemEvent(plugin_combobox, 0, null, ItemEvent.SELECTED));
 
 	    plugin_label = new JLabel(Dictionary.get("CDM.PlugInManager.PlugIn"));
-	    
+	    plugin_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    plugin_list = new JList(model);
 	    plugin_list.setOpaque(true);
 	    plugin_list.setCellRenderer(new ListRenderer());
 	    plugin_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
-	    plugin_list_label = new JLabel(Dictionary.get("CDM.PlugInManager.Assigned"));
+	    plugin_list.setComponentOrientation(Dictionary.getOrientation());
+            
+            plugin_list_label = new JLabel(Dictionary.get("CDM.PlugInManager.Assigned"));
 	    //plugin_list_label.setHorizontalAlignment(JLabel.CENTER);
 	    plugin_list_label.setOpaque(true);
-	    
+	    plugin_list_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    plugin_list_pane = new JPanel();
+            plugin_list_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    plugin_pane = new JPanel();
 	    plugin_pane.setOpaque(true);
-
+            plugin_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    remove = new GLIButton(Dictionary.get("CDM.PlugInManager.Remove"), Dictionary.get("CDM.PlugInManager.Remove_Tooltip"));
 	    remove.setEnabled(false);
@@ -526,6 +538,10 @@
 	    movement_pane.setLayout(new GridLayout(4,1));
 	    movement_pane.add(move_up_button);
-	    movement_pane.add(new JPanel());
-	    movement_pane.add(new JPanel());
+            JPanel tmp = new JPanel();
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+	    movement_pane.add(tmp);
+            tmp = new JPanel();
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+	    movement_pane.add(tmp);
 	    movement_pane.add(move_down_button);
 
@@ -539,5 +555,5 @@
 	    plugin_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
 	    plugin_pane.setLayout(new BorderLayout(5,0));
-	    plugin_pane.add(plugin_label, BorderLayout.WEST);
+	    plugin_pane.add(plugin_label, BorderLayout.LINE_START);
 	    plugin_pane.add(plugin_combobox, BorderLayout.CENTER);
 
@@ -551,5 +567,6 @@
 	    temp.add(plugin_pane, BorderLayout.NORTH);
 	    temp.add(button_pane, BorderLayout.SOUTH);
-
+            temp.setComponentOrientation(Dictionary.getOrientation());
+            
 	    central_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	    central_pane.setLayout(new BorderLayout());
@@ -915,5 +932,6 @@
 	    setSize(size);
 	    setTitle(Dictionary.get("CDM.PluginManager.SuggestedPluginListTitle"));
-
+            this.setComponentOrientation(Dictionary.getOrientation());
+            
 	    String[] args = new String[1];
 	    args[0] = filename;
@@ -925,8 +943,10 @@
 	    instructions_textarea.setRows(5);
 	    instructions_textarea.setWrapStyleWord(true);
-
+            instructions_textarea.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel suitable_plugins_label = new JLabel(Dictionary.get("CDM.PlugInManager.PlugIn"));
 	    suitable_plugins_label.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
-
+            suitable_plugins_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    suitable_plugins_combobox = new GComboBox(suitable_plugins);
 	    suitable_plugins_combobox.setBackgroundNonSelectionColor(Configuration.getColor("coloring.editable_background", false));
@@ -934,9 +954,11 @@
 	    suitable_plugins_combobox.setTextNonSelectionColor(Configuration.getColor("coloring.workspace_tree_foreground", false));
 	    suitable_plugins_combobox.setTextSelectionColor(Configuration.getColor("coloring.collection_selection_foreground", false));
-
+            suitable_plugins_combobox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel suitable_plugins_pane = new JPanel();
+            suitable_plugins_pane.setComponentOrientation(Dictionary.getOrientation());
 	    //suitable_plugins_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
 	    suitable_plugins_pane.setLayout(new BorderLayout(5,0));
-	    suitable_plugins_pane.add(suitable_plugins_label, BorderLayout.WEST);
+	    suitable_plugins_pane.add(suitable_plugins_label, BorderLayout.LINE_START);
 	    suitable_plugins_pane.add(suitable_plugins_combobox, BorderLayout.CENTER);
 
@@ -951,5 +973,6 @@
 	    button_pane.add(add_button);
 	    button_pane.add(ignore_button);
-
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel controls_pane = new JPanel();
 	    controls_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
@@ -957,6 +980,8 @@
 	    controls_pane.add(suitable_plugins_pane);
 	    controls_pane.add(button_pane);
-
+            controls_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel content_pane = (JPanel) getContentPane();
+            content_pane.setComponentOrientation(Dictionary.getOrientation());
 	    content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	    content_pane.setLayout(new BorderLayout());
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/SearchMetadataManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/SearchMetadataManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/SearchMetadataManager.java	(revision 18412)
@@ -88,5 +88,5 @@
 	public DisplayControl() {
 	    super();
-
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel header_panel = new DesignPaneHeader("CDM.GUI.SearchMetadata", "searchmetadatasettings");
 
@@ -98,4 +98,5 @@
 
 	    JPanel metadata_table_pane = new JPanel();
+            metadata_table_pane.setComponentOrientation(Dictionary.getOrientation());
 	    metadata_table_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	    metadata_table_pane.setLayout(new BorderLayout());
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 18412)
@@ -264,5 +264,5 @@
 		{
 			super();
-
+                        this.setComponentOrientation(Dictionary.getOrientation());   
 			ArrayList sources = new ArrayList();
 			ListModel source_model = CollectionDesignManager.subcollection_manager;
@@ -273,12 +273,16 @@
 			// Creation
 			JPanel assigned_indexes_pane = new JPanel();
+                        assigned_indexes_pane.setComponentOrientation(Dictionary.getOrientation());
 			JLabel index_label = new JLabel(Dictionary.get("CDM.SubcollectionIndexManager.Subindexes"));
+                        index_label.setComponentOrientation(Dictionary.getOrientation());
 			subcollection_index_list = new JList(model);
 			subcollection_index_list.setCellRenderer(new SubcollectionIndexListCellRenderer());
 			subcollection_index_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 			subcollection_index_list.setVisibleRowCount(2);
-
+                        subcollection_index_list.setComponentOrientation(Dictionary.getOrientation());
+                        
 			JPanel movement_pane = new JPanel();
-			move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
+			movement_pane.setComponentOrientation(Dictionary.getOrientation());
+                        move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
 			move_up_button.setEnabled(false);
 
@@ -290,8 +294,10 @@
 
 			JPanel index_pane = new JPanel();
+                        index_pane.setComponentOrientation(Dictionary.getOrientation());
 			JPanel details_pane = new JPanel();
-			
+			details_pane.setComponentOrientation(Dictionary.getOrientation());
 			JPanel labels_pane = new JPanel();
-			
+			labels_pane.setComponentOrientation(Dictionary.getOrientation());
+                        
 			select_all_button = new GLIButton(Dictionary.get("CDM.IndexManager.Select_All"), Dictionary.get("CDM.IndexManager.Select_All_Tooltip"));
 			select_none_button = new GLIButton(Dictionary.get("CDM.IndexManager.Select_None"), Dictionary.get("CDM.IndexManager.Select_None_Tooltip"));
@@ -299,8 +305,11 @@
 			
 			JPanel boxes_pane = new JPanel();
-			JPanel content_pane = new JPanel();
-
+			boxes_pane.setComponentOrientation(Dictionary.getOrientation());
+                        JPanel content_pane = new JPanel();
+                        content_pane.setComponentOrientation(Dictionary.getOrientation());
+                        
 			JLabel source_label = new JLabel(Dictionary.get("CDM.SubcollectionIndexManager.Source"));
-
+                        source_label.setComponentOrientation(Dictionary.getOrientation());
+                        
 			source_list = new CheckList(false);
 			source_list.setListData(sources);
@@ -311,5 +320,7 @@
 
 			JPanel button_pane = new JPanel();
-			add_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex"), Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex_Tooltip"));
+			button_pane.setComponentOrientation(Dictionary.getOrientation());
+                        
+                        add_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex"), Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex_Tooltip"));
 			add_button.setEnabled(false);
 
@@ -353,5 +364,5 @@
 			assigned_indexes_pane.add(index_label, BorderLayout.NORTH);
 			assigned_indexes_pane.add(new JScrollPane(subcollection_index_list), BorderLayout.CENTER);
-			assigned_indexes_pane.add(movement_pane, BorderLayout.EAST);
+			assigned_indexes_pane.add(movement_pane, BorderLayout.LINE_END);
 
 			labels_pane.setLayout(new BorderLayout());
@@ -388,5 +399,5 @@
 
 			details_pane.setLayout(new BorderLayout());
-			details_pane.add(labels_pane, BorderLayout.WEST);
+			details_pane.add(labels_pane, BorderLayout.LINE_START);
 			details_pane.add(boxes_pane, BorderLayout.CENTER);
 
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 18412)
@@ -178,10 +178,14 @@
 	    border_pane = new JPanel();
 	    card_layout = new CardLayout();
-
+            border_pane.setComponentOrientation(Dictionary.getOrientation());
+           
+            
 	    tabbed_pane = new JTabbedPane();
 	    tabbed_pane.addChangeListener(this);
-
+            tabbed_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel button_pane_3 = new JPanel();
-	    add_button = new GLIButton(Dictionary.get("CDM.SubcollectionManager.Add"), Dictionary.get("CDM.SubcollectionManager.Add_Tooltip"));
+	    button_pane_3.setComponentOrientation(Dictionary.getOrientation());
+            add_button = new GLIButton(Dictionary.get("CDM.SubcollectionManager.Add"), Dictionary.get("CDM.SubcollectionManager.Add_Tooltip"));
 	    add_button.setEnabled(false);
 	    
@@ -193,7 +197,10 @@
 	    
 	    JPanel button_pane = new JPanel();
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel button_pane_1 = new JPanel();
+            button_pane_1.setComponentOrientation(Dictionary.getOrientation());
 	    include_button = new JRadioButton(Dictionary.get("CDM.SubcollectionManager.Include"));
-	    include_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
+	    include_button.setComponentOrientation(Dictionary.getOrientation());
+            include_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	    include_button.setOpaque(false);
 	    
@@ -201,29 +208,39 @@
 	    exclude_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	    exclude_button.setOpaque(false);
-	    
+	    exclude_button.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel flags_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Flags"));
-	    
+	    flags_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    flags_field = new NonWhitespaceField();
 	    flags_field.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Flags_Tooltip"));
-
+            flags_field.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel inclusive_pane = new JPanel();
+            inclusive_pane.setComponentOrientation(Dictionary.getOrientation());
 	    JLabel inclusive_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Inclusive"));
-	    
+	    inclusive_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel match_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Match"));
-	    
+	    match_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    match_field = new JTextField();
 	    match_field.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Match_Tooltip"));
-	    
+	    match_field.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel name_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Name"));
-	    
+	    name_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    name_field = new NonWhitespaceField();
 	    name_field.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Name_Tooltip"));
 	    
 	    JLabel source_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Source"));
-	    
+	    source_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    ArrayList every_metadata_set_element = MetadataSetManager.getEveryMetadataSetElement();
 	    Vector source_model = new Vector(every_metadata_set_element);
 	    source_model.add(0, StaticStrings.FILENAME_STR);
 	    source_combobox = new JComboBox(source_model);
+            source_combobox.setComponentOrientation(Dictionary.getOrientation());
 	    source_combobox.setOpaque(false);
 	    source_combobox.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Source_Tooltip"));
@@ -232,4 +249,5 @@
 	    subcollection_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 	    JPanel subcollection_pane = new JPanel();
+            subcollection_pane.setComponentOrientation(Dictionary.getOrientation());
 	    ButtonGroup bg = new ButtonGroup();
 	    bg.add(include_button);
@@ -237,8 +255,11 @@
 	    include_button.setSelected(true);
 	    JPanel subcollection_list_pane = new JPanel();
+            subcollection_list_pane.setComponentOrientation(Dictionary.getOrientation());
 	    JLabel subcollection_list_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Assigned"));
-	    
+	    subcollection_list_label.setComponentOrientation(Dictionary.getOrientation());
 	    // Create a message pane which explains why these controls are not currently active
 	    JPanel message_pane = new JPanel();
+            message_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    String args[] = new String[3];
 	    args[0] = Configuration.getModeAsString();
@@ -246,5 +267,6 @@
 	    args[2] = Dictionary.get("Preferences.Mode.Expert");
 	    JTextArea message_textarea = new JTextArea(Dictionary.get("CDM.SubcollectionManager.Partitions_Disabled", args));
-	    
+	    message_textarea.setComponentOrientation(Dictionary.getOrientation());
+            
 	    message_textarea.setEditable(false);
 	    message_textarea.setHighlighter(null); // Prevent highlighting
@@ -307,10 +329,14 @@
 	    tabbed_pane.addTab(Dictionary.get("CDM.SubcollectionManager.Subindex_Controls"), (JPanel) CollectionDesignManager.subcollectionindex_manager.getControls());
 	    tabbed_pane.addTab(Dictionary.get("CDM.SubcollectionManager.Language_Controls"), (JPanel) CollectionDesignManager.language_manager.getControls());
-
+            JPanel tmp ;
 	    message_pane.setBorder(BorderFactory.createEmptyBorder(0,5,5,5));
 	    message_pane.setLayout(new GridLayout(3,1,0,0));
-	    message_pane.add(new JPanel());
+            tmp =new JPanel();
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+	    message_pane.add(tmp);
 	    message_pane.add(message_textarea);
-	    message_pane.add(new JPanel());
+            tmp = new JPanel();
+            tmp.setComponentOrientation(Dictionary.getOrientation());
+	    message_pane.add(tmp);
 
 	    border_pane.setLayout(card_layout);
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java	(revision 18412)
@@ -42,4 +42,5 @@
 import org.greenstone.gatherer.util.Utility;
 import org.greenstone.gatherer.gui.DesignPaneHeader;
+import org.greenstone.gatherer.Dictionary;
 import org.w3c.dom.*;
 
@@ -125,5 +126,5 @@
 	SuperCollectionControl() {
 	    super();
-
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    // Creation
 	    JPanel header_panel = new DesignPaneHeader("CDM.GUI.SuperCollection", "xcollectionsearching");
@@ -134,4 +135,5 @@
 
 	    JPanel collection_checklist_pane = new JPanel();
+            collection_checklist_pane.setComponentOrientation(Dictionary.getOrientation());
 	    collection_checklist_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	    collection_checklist_pane.setLayout(new BorderLayout());
Index: /gli/trunk/src/org/greenstone/gatherer/cdm/TranslationView.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 18412)
@@ -195,4 +195,5 @@
 
 	TranslationControl() {
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    fragment_table_model = new FragmentTableModel("", new TreeSet(), new ArrayList());
 	    // Creation
@@ -200,11 +201,15 @@
 
 	    JPanel center_panel = new JPanel();
-
+            center_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel selection_panel = new JPanel();
-
+            selection_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel component_selection_panel = new JPanel();
+            component_selection_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel component_label = new JLabel(Dictionary.get("CDM.TranslationManager.Affected_Features"));
-
-
+            component_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    Object[] features = getFeaturesList();
 	    features_list = new JList(features);
@@ -215,7 +220,10 @@
 
 	    JPanel fragment_selection_panel = new JPanel();
-	    JLabel fragment_label = new JLabel(Dictionary.get("CDM.TranslationManager.Assigned_Fragments"));
+	    fragment_selection_panel.setComponentOrientation(Dictionary.getOrientation());
+            JLabel fragment_label = new JLabel(Dictionary.get("CDM.TranslationManager.Assigned_Fragments"));
+            fragment_label.setComponentOrientation(Dictionary.getOrientation());
 	    
 	    fragment_table = new JTable(fragment_table_model);
+            fragment_table.setComponentOrientation(Dictionary.getOrientation());
 	    fragment_table.setAutoResizeMode(JTable.AUTO_RESIZE_LAST_COLUMN);
 	    fragment_table.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
@@ -229,10 +237,15 @@
 
 	    JPanel south_panel = new JPanel();
-
+            south_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel text_panel = new JPanel();
-
+            text_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel language_panel = new JPanel();
+            language_panel.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JLabel language_label = new JLabel(Dictionary.get("CDM.TranslationManager.Language"));
-	    
+	    language_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    language_combobox = new JComboBox(CollectionDesignManager.language_manager.getLanguageCodes().toArray());
 	    language_combobox.setOpaque(!Utility.isMac());
@@ -240,9 +253,12 @@
 	    language_combobox.setRenderer(new LanguageListCellRenderer());
 	    language_combobox.setToolTipText(Dictionary.get("CDM.TranslationManager.Language_Tooltip"));
-	    
+	    language_combobox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    JPanel default_text_panel = new JPanel();
+            default_text_panel.setComponentOrientation(Dictionary.getOrientation());
 	    JLabel default_label = new JLabel(Dictionary.get("CDM.TranslationManager.Default_Text"));
-	    
+	    default_label.setComponentOrientation(Dictionary.getOrientation());
 	    default_area = new JTextArea();
+            default_area.setComponentOrientation(Dictionary.getOrientation());
 	    default_area.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	    default_area.setEditable(false);
@@ -251,7 +267,9 @@
 
 	    JPanel translated_text_panel = new JPanel();
+            translated_text_panel.setComponentOrientation(Dictionary.getOrientation());
 	    JLabel translation_label = new JLabel(Dictionary.get("CDM.TranslationManager.Translation"));
-	 
+            translation_label.setComponentOrientation(Dictionary.getOrientation());
 	    translation_area = new JTextArea();
+            translation_area.setComponentOrientation(Dictionary.getOrientation());
 	    translation_area.setBackground(Configuration.getColor("coloring.disabled", false));
 	    translation_area.setEnabled(false);
@@ -261,4 +279,5 @@
 
 	    JPanel button_pane = new JPanel();
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
 	    add_button = new GLIButton(Dictionary.get("CDM.TranslationManager.Add"), Dictionary.get("CDM.TranslationManager.Add_Tooltip"));
 	    add_button.setEnabled(false);
@@ -307,5 +326,5 @@
 
 	    language_panel.setLayout(new BorderLayout(5,0));
-	    language_panel.add(language_label, BorderLayout.WEST);
+	    language_panel.add(language_label, BorderLayout.LINE_START);
 	    language_panel.add(language_combobox, BorderLayout.CENTER);
 
Index: /gli/trunk/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 18412)
@@ -326,5 +326,5 @@
 	    String file_name = "";
 	    
-	    if (Configuration.fedora_info.isActive()) { // FLI case
+	    if (Configuration.fedora_info != null && Configuration.fedora_info.isActive()) { // FLI case
 		// Fedora build
 		//file_name = getLoadedCollectionArchivesDirectoryPath() + "import.inf";
Index: /gli/trunk/src/org/greenstone/gatherer/gems/AttributeTable.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gems/AttributeTable.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gems/AttributeTable.java	(revision 18412)
@@ -64,4 +64,6 @@
 	super();       
         setRowHeight(20);
+        this.setComponentOrientation(Dictionary.getOrientation());
+        metadata_value_text_field.setComponentOrientation(Dictionary.getOrientation());
 	language_dependent = lang_dependent;
 	
Index: /gli/trunk/src/org/greenstone/gatherer/gems/DeleteMetadataSetPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gems/DeleteMetadataSetPrompt.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gems/DeleteMetadataSetPrompt.java	(revision 18412)
@@ -72,5 +72,4 @@
     public DeleteMetadataSetPrompt(Frame parent,MetadataSetManager msm) {
 	super(parent, true);
-
         self = this;
 	meta_manager = msm;
@@ -82,8 +81,9 @@
 	JPanel content_pane = (JPanel) getContentPane();
         content_pane.setOpaque(true);
-	
+	content_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	JLabel available_metadata_sets_label = new JLabel(Dictionary.get("GEMS.DeleteMetadataSetPrompt.Available_Sets"));
 	available_metadata_sets_label.setOpaque(true);
+        available_metadata_sets_label.setComponentOrientation(Dictionary.getOrientation());
 	
 	list_model = new DefaultListModel();
@@ -95,6 +95,8 @@
 	available_set_list.setFixedCellHeight(20);
 	available_set_list.addListSelectionListener(new MetadataSetListSelectionListener());
-
+        available_set_list.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel set_pane = new JPanel();
+        set_pane.setComponentOrientation(Dictionary.getOrientation());
         set_pane.setLayout(new BorderLayout());
         set_pane.add(available_metadata_sets_label,BorderLayout.NORTH);
@@ -110,6 +112,8 @@
         description_textarea.setLineWrap(true); 
         description_textarea.setWrapStyleWord(true);
-	
+	description_textarea.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel des_pane = new JPanel();
+        des_pane.setComponentOrientation(Dictionary.getOrientation());
         des_pane.setLayout(new BorderLayout());
         des_pane.add(metadata_set_des_label,BorderLayout.NORTH);
@@ -117,4 +121,5 @@
 	
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	delete_button = new GLIButton(Dictionary.get("GEMS.DeleteMetadataSetPrompt.Delete"), Dictionary.get("GEMS.DeleteMetadataSetPrompt.Delete_Tooltip"));
 	delete_button.setEnabled(false);
@@ -124,5 +129,6 @@
 	confirmation.setEnabled(false);
 	confirmation.setSelected(false);
-
+        confirmation.setComponentOrientation(Dictionary.getOrientation());
+        
 	close_button = new GLIButton(Dictionary.get("General.Close"), Dictionary.get("General.Close_Tooltip"));
 	close_button.setEnabled(true);
@@ -151,4 +157,5 @@
 
         JPanel bottom_pane = new JPanel();
+        bottom_pane.setComponentOrientation(Dictionary.getOrientation());
         bottom_pane.setLayout(new BorderLayout());
 	bottom_pane.add(confirmation,BorderLayout.NORTH);
@@ -212,4 +219,5 @@
 	public MetadatSetListCellRenderer() {
 	    setOpaque(true);
+            this.setComponentOrientation(Dictionary.getOrientation());
 	}
 	
Index: /gli/trunk/src/org/greenstone/gatherer/gems/MetadataSetTree.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gems/MetadataSetTree.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gems/MetadataSetTree.java	(revision 18412)
@@ -63,5 +63,5 @@
     protected JFrame parent_frame;
     public MetadataSetTree(JFrame parent){
-
+        this.setComponentOrientation(Dictionary.getOrientation());
         setCellRenderer(new MetadataSetCellRenderer());
         setRowHeight(20);
Index: /gli/trunk/src/org/greenstone/gatherer/gems/NewMetadataElementNamePrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gems/NewMetadataElementNamePrompt.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gems/NewMetadataElementNamePrompt.java	(revision 18412)
@@ -62,7 +62,9 @@
 	JPanel content_pane = (JPanel) getContentPane();
 	content_pane.setOpaque(true);
-	    
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel name_label = new JLabel();
-	if (subelement) {
+	name_label.setComponentOrientation(Dictionary.getOrientation());
+        if (subelement) {
 	    setTitle(Dictionary.get("GEMS.NewMetadataElementNamePrompt.SubTitle"));
 	    name_label.setText(Dictionary.get("GEMS.NewMetadataElementNamePrompt.SubName"));
@@ -73,5 +75,5 @@
 
 	name_textfield = new JTextField();
-	    
+        name_textfield.setComponentOrientation(Dictionary.getOrientation());
 	name_textfield.addKeyListener(new KeyAdapter() {
 		public void keyPressed(KeyEvent e) {
@@ -84,4 +86,5 @@
 
 	JPanel details_pane = new JPanel();
+        details_pane.setComponentOrientation(Dictionary.getOrientation());
 	details_pane.setLayout(new GridLayout(2,1));
 	details_pane.add(name_label);
Index: /gli/trunk/src/org/greenstone/gatherer/gems/NewMetadataSetPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gems/NewMetadataSetPrompt.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gems/NewMetadataSetPrompt.java	(revision 18412)
@@ -81,29 +81,38 @@
 	JPanel content_pane = (JPanel) getContentPane();
         content_pane.setOpaque(true);
-	
+	content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel  instruction_label = new JLabel(Dictionary.get("GEMS.NewMetadataSetPrompt.Instructions"));
 	instruction_label.setOpaque(true);
-	
+	instruction_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel  title_label = new JLabel(Dictionary.get("GEMS.NewMetadataSetPrompt.Metadata_Title"));
 	title_label.setOpaque(true);
+        title_label.setComponentOrientation(Dictionary.getOrientation());
                  
         title_field = new JTextField();
-
+        title_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel title_pane = new JPanel(new BorderLayout(5,5));
-        title_pane.add(title_label,BorderLayout.WEST);
+        title_pane.setComponentOrientation(Dictionary.getOrientation());
+        title_pane.add(title_label,BorderLayout.LINE_START);
         title_pane.add(title_field, BorderLayout.CENTER);
 
 	
 	JLabel  namespace_label = new JLabel(Dictionary.get("GEMS.NewMetadataSetPrompt.Metadata_Namespace"));
+        namespace_label.setComponentOrientation(Dictionary.getOrientation());
  	namespace_label.setOpaque(true);
                  
         namespace_field = new JTextField();
-
+        namespace_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel namespace_pane = new JPanel(new BorderLayout(5,5));
-        namespace_pane.add(namespace_label,BorderLayout.WEST);
+        namespace_pane.setComponentOrientation(Dictionary.getOrientation());
+        namespace_pane.add(namespace_label,BorderLayout.LINE_START);
         namespace_pane.add(namespace_field, BorderLayout.CENTER);
 
         
         JPanel info_pane = new JPanel();
+        info_pane.setComponentOrientation(Dictionary.getOrientation());
         info_pane.setLayout(new BorderLayout(5,5));
         info_pane.add(instruction_label,BorderLayout.NORTH);
@@ -114,10 +123,13 @@
 	JLabel description_label = new JLabel(Dictionary.get("GEMS.Set_Description"));
 	description_label.setOpaque(true);
-
+        description_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	description_textarea = new JTextArea();
+        description_textarea.setComponentOrientation(Dictionary.getOrientation());
         description_textarea.setLineWrap(true); 
         description_textarea.setWrapStyleWord(true);
 
 	JPanel description_pane = new JPanel();
+        description_pane.setComponentOrientation(Dictionary.getOrientation());
         description_pane.setLayout(new BorderLayout());
         description_pane.add(description_label,BorderLayout.NORTH);
@@ -127,14 +139,18 @@
 	JLabel  base_label = new JLabel(Dictionary.get("GEMS.NewMetadataSetPrompt.Base_MetadataSet"));
 	base_label.setOpaque(true);
+        base_label.setComponentOrientation(Dictionary.getOrientation());
         
         base_metadata_combo = new JComboBox();
 	base_metadata_combo.setRenderer(new MetadatSetListCellRenderer());
-	
+	base_metadata_combo.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel base_pane = new JPanel(new BorderLayout(5,5));
-        base_pane.add(base_label,BorderLayout.WEST);
+        base_pane.setComponentOrientation(Dictionary.getOrientation());
+        base_pane.add(base_label,BorderLayout.LINE_START);
         base_pane.add(base_metadata_combo, BorderLayout.CENTER);
 
 
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));       	
 	cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
Index: /gli/trunk/src/org/greenstone/gatherer/gems/OpenMetadataSetPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gems/OpenMetadataSetPrompt.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gems/OpenMetadataSetPrompt.java	(revision 18412)
@@ -73,5 +73,5 @@
     public OpenMetadataSetPrompt(Frame parent,MetadataSetManager msm) {
 	super(parent, true);
-
+        
         self = this;
 	meta_manager = msm;
@@ -82,8 +82,10 @@
 	JPanel content_pane = (JPanel) getContentPane();
         content_pane.setOpaque(true);
-	
+	content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel  available_metadata_sets_label = new JLabel(Dictionary.get("GEMS.OpenMetadataSetPrompt.Available_Sets"));
 	available_metadata_sets_label.setOpaque(true);
-
+        available_metadata_sets_label.setComponentOrientation(Dictionary.getOrientation());
+        
         available_set_list = new JList();
 	available_set_list.setCellRenderer(new MetadatSetListCellRenderer());
@@ -91,14 +93,16 @@
         available_set_list.setFixedCellHeight(20);
 	available_set_list.addListSelectionListener(new MetadataSetListSelectionListener());
-
+        available_set_list.setComponentOrientation(Dictionary.getOrientation());
+        
         JPanel set_pane = new JPanel();
+        set_pane.setComponentOrientation(Dictionary.getOrientation());
         set_pane.setLayout(new BorderLayout());
         set_pane.add(available_metadata_sets_label,BorderLayout.NORTH);
 	set_pane.add(new JScrollPane(available_set_list),BorderLayout.CENTER);
         
-
 	JLabel  metadata_set_des_label = new JLabel(Dictionary.get("GEMS.Set_Description"));
 	metadata_set_des_label.setOpaque(true);
-
+        metadata_set_des_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	description_textarea = new  JTextArea();
         description_textarea.setOpaque(true);
@@ -106,14 +110,18 @@
         description_textarea.setLineWrap(true); 
         description_textarea.setWrapStyleWord(true);
-
+        description_textarea.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel des_pane = new JPanel();
         des_pane.setLayout(new BorderLayout());
         des_pane.add(metadata_set_des_label,BorderLayout.NORTH);
 	des_pane.add(new JScrollPane(description_textarea),BorderLayout.CENTER);
-
+        des_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	open_button = new GLIButton(Dictionary.get("GEMS.OpenMetadataSetPrompt.Open"), Dictionary.get("GEMS.OpenMetadataSetPrompt.Open_Tooltip"));
-	open_button.setEnabled(true);
-	
+	open_button.setEnabled(true);	
+        
 	browse_button = new GLIButton(Dictionary.get("General.Browse"));
         browse_button.setEnabled(true);
Index: /gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 18412)
@@ -400,4 +400,5 @@
 	public DesignTree() {
 	    super();
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    resetModel(Configuration.getMode());
 	    expandRow(0);
Index: /gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 18412)
@@ -182,6 +182,5 @@
              
        
-        saveas_label = new JLabel(Dictionary.get("ExportAsPrompt.SaveAs")
-);
+        saveas_label = new JLabel(Dictionary.get("ExportAsPrompt.SaveAs"));
         saveas_label.setComponentOrientation(Dictionary.getOrientation());
         //saveas_label.setPreferredSize(LABEL_SIZE);
Index: /gli/trunk/src/org/greenstone/gatherer/gui/FedoraLogin.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/FedoraLogin.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/FedoraLogin.java	(revision 18412)
@@ -62,4 +62,5 @@
 import java.awt.Rectangle;
 import java.awt.Toolkit;
+import org.greenstone.gatherer.Dictionary;
 
 
@@ -91,16 +92,25 @@
     {
 	super(Gatherer.g_man, "Login", true);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
         
-	JLabel serverLabel=new JLabel("Fedora Server");
+	JLabel serverLabel=new JLabel("Fedora Server");        
 	JLabel protocolLabel=new JLabel("Protocol");
         JLabel usernameLabel=new JLabel("Username");
         JLabel passwordLabel=new JLabel("Password");
 
+        serverLabel.setComponentOrientation(Dictionary.getOrientation());
+        protocolLabel.setComponentOrientation(Dictionary.getOrientation());
+        usernameLabel.setComponentOrientation(Dictionary.getOrientation());
+        passwordLabel.setComponentOrientation(Dictionary.getOrientation());
+        
         m_serverComboBox=new JComboBox(new String[]{m_lastServer});
+        m_serverComboBox.setComponentOrientation(Dictionary.getOrientation());
         m_serverComboBox.setEditable(true);
 	m_protocolComboBox=new JComboBox(new String[]{m_lastProtocol, "https"}); // http and https
+        m_protocolComboBox.setComponentOrientation(Dictionary.getOrientation());        
 	m_protocolComboBox.setEditable(true);
         m_usernameComboBox=new JComboBox(new String[]{m_lastUsername});
+        m_usernameComboBox.setComponentOrientation(Dictionary.getOrientation());
         m_usernameComboBox.setEditable(true);
         m_passwordField=new JPasswordField();
@@ -121,4 +131,5 @@
 
         JPanel inputPane=new JPanel();
+        inputPane.setComponentOrientation(Dictionary.getOrientation());
         inputPane.setBorder(BorderFactory.createCompoundBorder(
                 BorderFactory.createCompoundBorder(
@@ -155,10 +166,13 @@
 
         JPanel buttonPane=new JPanel();
+        buttonPane.setComponentOrientation(Dictionary.getOrientation());
         buttonPane.add(loginButton);
         buttonPane.add(cancelButton);
         Container contentPane=getContentPane();
+        contentPane.setComponentOrientation(Dictionary.getOrientation());
 
         contentPane.setLayout(new BorderLayout());
 	m_infoPane = new JPanel();
+        m_infoPane.setComponentOrientation(Dictionary.getOrientation());
 	m_infoPane.setBackground(TRANSPARENT);
 	contentPane.add(m_infoPane, BorderLayout.NORTH);
Index: /gli/trunk/src/org/greenstone/gatherer/gui/FileAssociationDialog.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/FileAssociationDialog.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/FileAssociationDialog.java	(revision 18412)
@@ -90,5 +90,6 @@
 	JPanel content_pane = (JPanel) getContentPane();
 	content_pane.setBackground(Configuration.getColor("coloring.collection_heading_background", false));
-
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JTextArea instructions_area = new JTextArea(Dictionary.get("FileAssociationDialog.Instructions"));
 	instructions_area.setEditable(false);
@@ -96,21 +97,32 @@
 	instructions_area.setRows(5);
 	instructions_area.setWrapStyleWord(true);
-	
+	instructions_area.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel control_pane = new JPanel();
+        control_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	existing_associations_table = new JTable(file_association_manager);
-	existing_associations_table.setAutoResizeMode(JTable.AUTO_RESIZE_NEXT_COLUMN);
+	existing_associations_table.setComponentOrientation(Dictionary.getOrientation());
+        existing_associations_table.setAutoResizeMode(JTable.AUTO_RESIZE_NEXT_COLUMN);
 	existing_associations_table.setColumnSelectionAllowed(false);
 	existing_associations_table.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 	JPanel lower_pane = new JPanel();
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel details_pane = new JPanel();
+        details_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	JPanel extension_pane = new JPanel();
+        extension_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel extension_label = new JLabel(Dictionary.get("FileAssociationDialog.Extension"));
+        extension_label.setComponentOrientation(Dictionary.getOrientation());
 	extension_field = new NonWhitespaceField();
 	extension_field.setToolTipText(Dictionary.get("FileAssociationDialog.Extension_Tooltip"));
                 
 	JLabel command_label = new JLabel(Dictionary.get("FileAssociationDialog.Command"));
-	JPanel command_pane = new JPanel();
+        command_label.setComponentOrientation(Dictionary.getOrientation());
+        JPanel command_pane = new JPanel();
+        command_pane.setComponentOrientation(Dictionary.getOrientation());
 	command_field = new JTextField();
+        command_field.setComponentOrientation(Dictionary.getOrientation());
 	command_field.setToolTipText(Dictionary.get("FileAssociationDialog.Command_Tooltip"));
 	browse_button = new GLIButton(Dictionary.get("FileAssociationDialog.Browse"));
@@ -124,4 +136,5 @@
 
 	JPanel button_pane = new JPanel();       
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
         
 	add_button = new GLIButton(Dictionary.get("FileAssociationDialog.Add"), Dictionary.get("FileAssociationDialog.Add_Tooltip"));
@@ -170,6 +183,11 @@
 	button_pane.add(replace_button);
 	button_pane.add(remove_button);
-	button_pane.add(new JPanel());
-	button_pane.add(new JPanel());
+        JPanel tmp ;
+        tmp = new JPanel();
+        tmp.setComponentOrientation(Dictionary.getOrientation());
+	button_pane.add(tmp);
+        tmp = new JPanel();
+        tmp.setComponentOrientation(Dictionary.getOrientation());
+	button_pane.add(tmp);
 	button_pane.add(close_button);
 
@@ -198,17 +216,4 @@
 	screen = null;
         
-        //RTL
-        content_pane.setComponentOrientation(Dictionary.getOrientation());
-        instructions_area.setComponentOrientation(Dictionary.getOrientation());
-        control_pane.setComponentOrientation(Dictionary.getOrientation());
-        existing_associations_table.setComponentOrientation(Dictionary.getOrientation());
-        lower_pane.setComponentOrientation(Dictionary.getOrientation());
-        details_pane.setComponentOrientation(Dictionary.getOrientation());
-        extension_pane.setComponentOrientation(Dictionary.getOrientation());
-        extension_label.setComponentOrientation(Dictionary.getOrientation());
-        extension_field.setComponentOrientation(Dictionary.getOrientation());
-        command_label.setComponentOrientation(Dictionary.getOrientation());
-        command_pane.setComponentOrientation(Dictionary.getOrientation());
-        //end
     }
 
Index: /gli/trunk/src/org/greenstone/gatherer/gui/ModalDialog.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/ModalDialog.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/ModalDialog.java	(revision 18412)
@@ -30,4 +30,5 @@
 import javax.swing.*;
 import org.greenstone.gatherer.DebugStream;
+import org.greenstone.gatherer.Dictionary;
 
 
@@ -52,4 +53,5 @@
     public ModalDialog() {
 	super((Frame)null, "", false);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -59,4 +61,5 @@
     public ModalDialog(Dialog parent) {
 	super(parent, "", false);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -67,4 +70,5 @@
     public ModalDialog(Dialog parent, boolean modal) {
 	super(parent, "", false);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.modal = modal;
     }
@@ -76,4 +80,5 @@
     public ModalDialog(Dialog parent, String title) {
 	super (parent, title, false);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.modal = false;
     }
@@ -86,4 +91,5 @@
     public ModalDialog(Dialog parent, String title, boolean modal) {
 	super (parent, title, false);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.modal = modal;
     }
@@ -94,4 +100,5 @@
     public ModalDialog(Frame parent) {
 	super(parent, "", false);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -102,4 +109,5 @@
     public ModalDialog(Frame parent, boolean modal) {
 	super(parent, "", false);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.modal = modal;
     }
@@ -111,4 +119,5 @@
     public ModalDialog(Frame parent, String title) {
 	super (parent, title, false);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -121,4 +130,5 @@
 	super (parent, title, false);
 	this.modal = modal;
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
Index: /gli/trunk/src/org/greenstone/gatherer/gui/ReplaceSrcDocWithHtmlPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/ReplaceSrcDocWithHtmlPrompt.java	(revision 18411)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/ReplaceSrcDocWithHtmlPrompt.java	(revision 18412)
@@ -113,11 +113,14 @@
 	JPanel content_pane = (JPanel) getContentPane();
 	content_pane.setOpaque(true);
-	
+	content_pane.setComponentOrientation(Dictionary.getOrientation());        
 	options_pane = new JPanel();
+        
 	addScriptOptions(options_pane);
 	JScrollPane middle_pane = new JScrollPane(options_pane);
-
+        middle_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JTextArea instructions_area = new JTextArea(Dictionary.get("ReplaceSrcWithHTMLPrompt.Instructions"));
-	instructions_area.setEditable(false);
+	instructions_area.setComponentOrientation(Dictionary.getOrientation());
+        instructions_area.setEditable(false);
 	instructions_area.setLineWrap(true);
 	instructions_area.setRows(5);
@@ -125,4 +128,5 @@
 	
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	JButton srcreplace_button = new GLIButton(Dictionary.get("ReplaceSrcWithHTMLPrompt.ReplaceSrc"), Dictionary.get("ReplaceSrcWithHTMLPrompt.ReplaceSrc_Tooltip"));
 	JButton cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
